#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import argparse
import uuid

from arkindex_tasks import default_client
from arkindex_tasks.import_files.base import FileImport


def main():
    parser = argparse.ArgumentParser(description="Import files as elements in a folder")
    parser.add_argument(
        "process_id",
        help="UUID of a Process to perform import on",
        type=uuid.UUID,
    )
    parser.add_argument(
        "--sleep",
        help="Throttle API requests by waiting for a given number of seconds",
        type=float,
        default=0,
    )
    args = vars(parser.parse_args())
    default_client.sleep_duration = args.pop("sleep")
    FileImport(**args).run()


if __name__ == "__main__":
    main()
